Bug 22698 - up2date does not function on Sparc
up2date does not function on Sparc
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
6.2
sparc64 Linux
high Severity high
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-21 17:49 EST by Need Real Name
Modified: 2015-01-07 18:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-10 11:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-12-21 17:49:46 EST
up2date 2.1.7 on a sparc64-based machine reports the following error:
There was a fatal error communicating with the server. The message was:
Invalid Architechture and OS release combination.
Comment 1 Bill Nottingham 2000-12-22 00:22:32 EST
Try running 'sparc32 up2date'; does that work?
Comment 2 Need Real Name 2000-12-22 02:11:37 EST
No, running up2date through sparc32 results exactly in the same problem.
Comment 3 Preston Brown 2000-12-27 16:54:49 EST
Cristian:  Please enable sparc and sparc64 for Red Hat Linux 6.2 ASAP.
Comment 4 Cristian Gafton 2001-02-19 20:33:49 EST
Assigned QA to jturner
Comment 5 Preston Brown 2001-02-26 18:43:50 EST
fixed.
Comment 6 Need Real Name 2001-02-27 03:29:59 EST
up2date does still not function on sparc64 architecture. up2date continuously complains with the usual "Invalid Architechture and OS release 
combination" error message.
Comment 7 Ben Levenson 2001-07-09 20:37:34 EDT
Reopening....
up2date-2.5.4-0.6.x
up2date-gnome-2.5.4-0.6.x

up2date still broken on sparc64:
   ERROR: Invalid Architecture and OS release combination
   INFO: Release 6.2 on sparc64

FWIW, verified behavior w/ sparc32 and --nox....
Comment 8 Ben Levenson 2001-07-09 20:52:38 EDT
Here are the entire contents of /var/log/up2date:

[Mon Jul  9 20:35:00 2001] up2date Adding /usr/share/rhn/RPM-GPG-KEY to keyring
[Mon Jul  9 20:35:00 2001] up2date /usr/bin/gpg --import
/usr/share/rhn/RPM-GPG-KEY >/dev/null 2>&1
[Mon Jul  9 20:35:00 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon Jul  9 20:35:00 2001] up2date getAvailablePackageList from network
[Mon Jul  9 20:38:07 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon Jul  9 20:38:07 2001] up2date getAvailablePackageList from network
[Mon Jul  9 20:40:32 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon Jul  9 20:40:32 2001] up2date getAvailablePackageList from network
[Mon Jul  9 20:42:03 2001] up2date Opening rpmdb in /var/lib/rpm/ with option 0
[Mon Jul  9 20:42:03 2001] up2date getAvailablePackageList from network

Don't know if this helps, but here is some info from
/etc/sysconfig/rhn/systemid:
...
<member>
<name>description</name>
<value><string>6.2 running on sparc64</string></value>
</member>
<member>
<name>os_release</name>
<value><string>6.2</string></value>
</member>
<member>
<name>architecture</name>
<value><string>sparc64</string></value>
</member>
...
<member>
<name>operating_system</name>
<value><string>Red Hat Linux</string></value>
</member>
<member>
<name>profile_name</name>
<value><string>ultra2.test.redhat.com</string></value>
</member>
Comment 9 Ben Levenson 2001-07-10 11:12:32 EDT
Fixed. 
I guess this is technically the wrong component. Should be
filed against product Red Hat Network not Red Hat Linux...
Server-side issue...


Note You need to log in before you can comment on or make changes to this bug.